import { request } from 'umi';
export async function getpage(params, options) {
  return request('/kitchen/api/FoodMenu/GetFoodMenuGoodsPage', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}
export async function getpage_v2(params, options) {
  return request('/kitchen/api/FoodMenu/GetFoodMenuGoodsPage_V2', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}
export async function add(params) {
  return request('/kitchen/api/FoodMenu/AddFoodMenuGoods', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}
export async function DelFoodMenuGoods(data) {
  return request(`​/kitchen/api/FoodMenu/DelFoodMenuGoods`, {
   method: 'POST',
   data: data,
 });
}

export async function gettree(params) {
  return request('/kitchen/api/FoodMenu/tree', {
    data: {
      ...params,
    },
  });
}
export async function GetGoodsByMenuIdPage(params) {
  return request('/kitchen/api/FoodMenu/GetGoodsByMenuIdPage', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}
